summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/rr/Manifest1
-rw-r--r--dev-ruby/rr/rr-3.1.1.ebuild31
-rw-r--r--dev-ruby/thor/Manifest1
-rw-r--r--dev-ruby/thor/thor-1.3.2.ebuild72
4 files changed, 105 insertions, 0 deletions
diff --git a/dev-ruby/rr/Manifest b/dev-ruby/rr/Manifest
index 2c6f1034cecc..c0ed75f0dbe1 100644
--- a/dev-ruby/rr/Manifest
+++ b/dev-ruby/rr/Manifest
@@ -1 +1,2 @@
DIST rr-3.1.0.tar.gz 140388 BLAKE2B 0994ae589d1d9ebe6b4a334c1e93f959b63280beff8f2a6b1696722ac908ac5a21954e65d20216c239587abdbff3a1b3110f6f1eb3f17bd5e0f169a4892e750c SHA512 d05d8421d5cd6e9225cbf5ca183c54cc510a3212f0629f7cee60887b18c874618cb67836503aed7665cef8443cc579306b84e030ae1ec0834f56298f5044a2fa
+DIST rr-3.1.1.tar.gz 141316 BLAKE2B 7bed228a5d3b454f8141b48bc3841a168dae81aba970d674a53466c4237cc85cdf817e5265a767a6290a98756b78a82bd9fcf39a22ca65964418c058270f2bca SHA512 3b359db98e90e9be788f1da7baa9e58e74b91345c2c569ea7b3b354b4ab567f2b9f2dbe189323f3b0d1d0c61cfa3715fa423bc37ddba755256390c011365093f
diff --git a/dev-ruby/rr/rr-3.1.1.ebuild b/dev-ruby/rr/rr-3.1.1.ebuild
new file mode 100644
index 000000000000..a59e05489de1
--- /dev/null
+++ b/dev-ruby/rr/rr-3.1.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC=rr.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="A double framework featuring a selection of double techniques and a terse syntax"
+HOMEPAGE="https://rr.github.io/rr/"
+SRC_URI="https://github.com/rr/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? (
+ dev-ruby/minitest
+ dev-ruby/diff-lcs
+ dev-ruby/test-unit-rr )"
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}
diff --git a/dev-ruby/thor/Manifest b/dev-ruby/thor/Manifest
index 07df0399921a..3c1a10c41ee7 100644
--- a/dev-ruby/thor/Manifest
+++ b/dev-ruby/thor/Manifest
@@ -1,3 +1,4 @@
DIST thor-git-1.2.2.tgz 98213 BLAKE2B e71ee51eb5c982c585cf9bd9dffda8933975c9d0df8096015d125eefd0597a653887db1acfc132ce1f5a2e8ce4ab71c790a6c0bf39edd7c5e4c85a75de963944 SHA512 2c8af5d59f33691af63e813ba8dfe3392c279593f3e3ccf0ab2d6eb2ccce4220d93b7cb3413ad853e4bba14f4e2182c54caaf4944627cbcbefa31cdc0fabefc7
DIST thor-git-1.3.0.tgz 102884 BLAKE2B f3f5a27ccfdbe7de6bbec71e1ae36e522d49ceec223e1d86a028898403e4e56722703dc847b4a850c46301fdeea429e70e73b7888089c35138d455c094678c02 SHA512 f561f9d05264cf0d2cd836dfb689539b645fa02a39ea8d10923001bb3d510ad6b4bcbb6551739d453e7d9ac05562bc0f454b581926becbc784c0604c5449c27e
DIST thor-git-1.3.1.tgz 103008 BLAKE2B 790f83c74bcaff08c65934e1fdf14d41e9d7bf5f51d94419513b45c3263beeae0fd239d848206e7f71a59dceb2ad9719131bc81baf23ac42e797cb430186490d SHA512 5ecfa8c7cdf3c10006b9f50de633b6f07c7ed9a3ad3807cc6d07adbb38b9d64fd0d17aea06a5e8e928ea4abf6cf2042af55e1e87416e7c0ce5ab0a721f546a04
+DIST thor-git-1.3.2.tgz 103619 BLAKE2B 31c23b549a79ec796d0de40c392d32a2621106ad44ffb0389358fbdb170b283867ab544c5f6bcfd437da0396a3193ff4b93100eee5c446c01760f07be73e2b79 SHA512 fb2aff3cf8c14f1a8b38db77579e4b27292f9578c7abf8fb892da888bee7e24412c4bdbf85ce9e43982348f72e038cacc856500268fc204e44fa61f3f9405c32
diff --git a/dev-ruby/thor/thor-1.3.2.ebuild b/dev-ruby/thor/thor-1.3.2.ebuild
new file mode 100644
index 000000000000..72a512352149
--- /dev/null
+++ b/dev-ruby/thor/thor-1.3.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2000-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_BINWRAP="thor"
+
+RUBY_FAKEGEM_GEMSPEC="thor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple and efficient tool for building self-documenting command line utilities"
+HOMEPAGE="http://whatisthor.com/"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux"
+IUSE="doc"
+
+# For initial target porting (new rubies), we can make these test deps
+# conditional with:
+# 1. USE_RUBY="<old rubies>" ruby_add_bdepend ...
+# 2. skip logic in each_ruby_test
+USE_RUBY="ruby31 ruby32 ruby33" ruby_add_bdepend "
+ test? (
+ dev-ruby/childlabor
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove rspec default options (as we might not have the last
+ # rspec).
+ rm .rspec || die
+
+ # Remove Bundler
+ #rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Thorfile || die
+
+ # Remove mandatory coverage collection using simplecov which is not
+ # packaged.
+ sed -i -e '/require "simplecov"/,/^end/ s:^:#:' spec/helper.rb || die
+
+ # Avoid a spec that requires UTF-8 support, so LANG=C still works,
+ # bug 430402
+ #sed -i -e '/uses maximum terminal width/,/end/ s:^:#:' spec/shell/basic_spec.rb || die
+
+ # Avoid specs depending on git, bug 724058
+ rm -f spec/quality_spec.rb || die
+
+ # Avoid currently broken readline specs (already fixed upstream)
+ rm -f spec/line_editor/readline_spec.rb spec/line_editor_spec.rb || die
+
+ # Avoid spec failing on whitespace difference in error message
+ sed -i -e '/raises an error for unknown switches/askip "whitespace differences"' spec/parser/options_spec.rb || die
+}
+
+each_ruby_test() {
+ case ${RUBY} in
+ *ruby34)
+ einfo "Skipping tests due to circular dependencies"
+ ;;
+ *)
+ RSPEC_VERSION=3 ruby-ng_rspec spec || die
+ ;;
+ esac
+}